## com.arsdigita.cms.docmgr.search
Class SearchUtils

    java.lang.Object
      com.arsdigita.cms.docmgr.search.SearchUtils

public abstract class SearchUtils
extends Object

Constructor Summary
`SearchUtils()`

Method Summary
`static SearchResults` `getAdvancedSearch(String terms, String author, String mimeType, BigDecimal workspaceID, Date lastModifiedStartDate, Date lastModifiedEndDate, String[] types, String[] sections, com.arsdigita.kernel.User user, Collection categoryIDs)`
`static Searcher` `getSearcher()`
`static SearchResults` `getSimpleSearch(String terms, com.arsdigita.kernel.User user)`
`static void` `reindexObjects(com.arsdigita.persistence.DataCollection objects, String idAttribute)`
`static void` `setSearcher(Searcher searcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchUtils

    public SearchUtils()

Method Detail

### setSearcher

    public static void setSearcher(Searcher searcher)

### getSearcher

    public static Searcher getSearcher()

### getSimpleSearch

    public static SearchResults getSimpleSearch(String terms,
                                                com.arsdigita.kernel.User user)

### getAdvancedSearch

    public static SearchResults getAdvancedSearch(String terms,
                                                  String author,
                                                  String mimeType,
                                                  BigDecimal workspaceID,
                                                  Date lastModifiedStartDate,
                                                  Date lastModifiedEndDate,
                                                  String[] types,
                                                  String[] sections,
                                                  com.arsdigita.kernel.User user,
                                                  Collection categoryIDs)

### reindexObjects

    public static void reindexObjects(com.arsdigita.persistence.DataCollection objects,
                                      String idAttribute)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC